#pragma once
#include "B4RDefines.h"
#include "TM1637Display.h"
//~version: 1.00
namespace B4R {
	//~shortname: TM1637Display
	class B4RTM1637Display {
		private:
			uint8_t beTM1637Display[sizeof(TM1637Display)];
			TM1637Display* display;
		public:
			//Initializes the object.
			//PinClk - Pin connected to the clock pin.
			//PinDIO - Pin connected to the DIO pin.
			void Initialize(Byte PinClk, Byte PinDIO);
			//Sets the brightness. Value should be between 0 to 7.
			//Will take effect when the display is updated.
			void setBrightness(Byte b);
			/**
			*Displays arbitrary data.
			*Each byte represents a single digit.
			*Each bit represents a segment.
			*Position - Position from which to start the modification (0 - leftmost, 3 - rightmost).
			*/
			void SetSegments(ArrayByte* Segments, Byte Position);
			//Displays the decimal number.
			void ShowNumberDec(Int Number);
			/**
			*Displays the decimal number.
			*Number - Number to be shown.
			*LeadingZero - Whether to add leading zeroes.
			*Length - Number of digits to set.
			*Position - Position of the least significant digit (0 - leftmost, 3 - rightmost).
			*/
			void ShowNumberDec2(Int Number, bool LeadingZero, Byte Length, Byte Position);
	};
}